Bug 164930 - Read-only mark in week view takes to much space
Summary: Read-only mark in week view takes to much space
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2008-06-25 14:03 UTC by Tom Albers
Modified: 2011-03-18 00:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Albers 2008-06-25 14:03:27 UTC
Version:           4.1 beta2 (using 4.00.83 (KDE 4.0.83 (KDE 4.1 Beta2) "release 4.1", KDE:KDE4:UNSTABLE:Desktop / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.25.5-1.1-default

In the week view there is a lock indicating that an item is read only. This lock takes to much space. Maybe it's an idea to resize it to the height of the choosen font, or blend it into the background so the text can run over it.
Comment 1 Allen Winter 2008-07-02 02:21:24 UTC
SVN commit 826999 by winterz:

Attempt to de-clutter the icons in month and agenda view, and make 
them consistent.

Basically, the only icons shown now will be event/to-do/journal/holiday
and readonly. No longer show recurs and reminder icons in either view.

Let me know if you think this is a bad idea.
Perhaps not the best solution to toma's bug about the lock icon being too big,
but its the best I can come up with right now.

Would also be nice if the tooltip showed more info.
CCBUG: 164930


 M  +24 -2     koagendaitem.cpp  
 M  +10 -5     koagendaitem.h  
 M  +7 -1      views/monthview/monthitem.cpp  
 M  +6 -2      views/monthview/monthitem.h  
 M  +1 -0      views/monthview/monthscene.cpp  
 M  +2 -0      views/monthview/monthscene.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=826999
Comment 2 Sergio Martins 2011-03-18 00:17:29 UTC
toma, can you check if this is good enough ?
Comment 3 Tom Albers 2011-03-18 00:39:43 UTC
Can't comment as I don't use KOrganiser/KDEPIM anymore. Knowing Allen, I'm sure we can mark it as fixed.